
polyroots = function coeff -> roots
   n = coeff.length;     

   inz = find(coeff);

   if inz == []
        roots = [];
        return;
   end

   coeff = coeff[inz];
   
   n = coeff.length;

   if n > 1
        A = zeros(n-1, n-1);
        
        A[\, -1] = 1;
        
        A[1, :] = -coeff[n - 1 : -1 : 1] / coeff[n];
        roots = eig(A) # 1;
   else
        roots = [];
   end

   if inz[1] > 1
        roots = [zeros(inz[1], 1); roots];
   end
end
