
with ("plot.x");
rosette = function (n, figurename) -> ()

     vertices = zeros(n, 2);
     dtheta = 2 * pi / n;
     theta = 0;
     for j = 1 : n
          vertices[j, 1] = cos(theta);
          vertices[j, 2] = sin(theta);
          theta += dtheta;
     end

     fig = global.figure.new();

//     fig.polygon(vertices[:, 1], vertices[:, 2]);
     for i = 1 : n
          for j = i + 1 : n
               fig.line(vertices[i, :], vertices[j, :], *, "solid", 1, rand(3));
          end
     end
     fig.style="empty";
     fig.save(figurename);
end
