with("plot.x");

polyspiral = function (n, dtheta, dlen, figurename) -> ()
             fig = global.figure.new();
             P = [0, 0];
             theta = 0;
             len = 1;
             for k = 1 : n
                 Q = P + len * [cos(theta), sin(theta)];
                 fig.line(P, Q);
                 P = Q;
                 len += dlen;
                 theta += dtheta;
             end
//             fig.setXrange([-70,70]);
 //            fig.setYrange([-70,70]);
             fig.style="empty";
             fig.save(figurename);
end
