
// #@&%

global.Person = class
     public name = "John Smith";
     public gender = "M" in {"M", "F"};
     public phone = "911";
     public birthdate = "06/01/1985";
     public address = "123 Ashgrove cres., Stonycreek, ON";
     private id = 92052;
     public changeid = function newid -> ()
                          parent.id = newid;
               end
     common alterid = function newid -> ()
                     parent.id = newid;
                 end
     auto getid  = () -> parent.id;
end;


global.ratclub = conditional
   database = newpointer(~);
   common join = function sys -> r
                     if parent in global.Person
                         parent.ratid = # (sys.database)>> + 1;
                         (sys.database) >> # (parent.ratid) = {name =
								 parent.name, phone = parent.phone, address =
								 parent.address, gender = parent.gender, birthdate =
								 parent.birthdate, points = 500};
                         r = 1;
                     else
                         r = 0;
                     end
	              end

   common validate = function sys -> r
                     ratid = parent.ratid;
                     record = (sys.database) >> # ratid;
                         if (record.name == parent.name && record.gender ==
								      parent.gender && record.birthdate == parent.birthdate
								      && record.address == parent.address &&
								      record.phone==parent.phone)
                         r = 1;
                     else
                         r = 0;
                     end
	              end

    common contribute = function (sys, x) -> r
                     ratid = parent.ratid;
                     ((sys.database) >> # ratid).points += x;

                     r = 1;
	              end

 
    common check_points = function sys -> r
                     ratid = parent.ratid;
                     dbp = sys.database;
                     db = dbp>>;
                     record = db # ratid;
                     r = record.points;
	              end

end

x = Person.new();
x.join(ratclub);
x.check_points(ratclub)

