with("plot.x");
fig = figure3d.new();

fx = (theta, phi)->(9 + 2 * cos(phi)) * cos(theta);
fy = (theta, phi) -> (9 + 2 * cos(phi)) * sin(theta);
fz = (theta, phi) -> 2 * sin(phi);

fig.plot(fx, fy, fz, [0,2*pi], [0,2*pi]);

fx = (theta, phi)->(4 + 1.2 * cos(phi)) * cos(theta);
fy = (theta, phi) -> (4 + 1.2* cos(phi)) * sin(theta);
fz = (theta, phi) -> 2+1.2 * sin(phi);

fig.plot(fx, fy, fz, [0,2*pi], [0,2*pi]);

fx = (theta, phi)->1+(9 + 3 * cos(phi)) * cos(theta);
fy = (theta, phi) -> 3 * sin(phi);
fz = (theta, phi) -> (9 + 3 * cos(phi)) * sin(theta);

fig.plot(fx, fy, fz, [0.5*pi,1.5*pi], [0,2*pi]);

fx = (theta, phi)->7+(3 + 0.6 * cos(phi)) * cos(theta);
fy = (theta, phi) -> 0.6 * sin(phi);
fz = (theta, phi) -> (3 + 0.6 * cos(phi)) * sin(theta);

fig.plot(fx, fy, fz, [0,2*pi], [0,2*pi]);


fig.light_direction = [2/3, 2/3, 1/3];
fig.save("torus.eps");
